Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455224 - bluetooth audio error Failure: Module initalization failed
Summary: bluetooth audio error Failure: Module initalization failed
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: bluez-utils
Version: 9
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-14 08:15 UTC by Michal Klich
Modified: 2009-07-28 15:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:18:24 UTC


Attachments (Terms of Use)
content of .asoundrc (deleted)
2008-07-30 17:57 UTC, Dejan Kitic
no flags Details

Description Michal Klich 2008-07-14 08:15:20 UTC
Description of problem:
I am trying to connect to Motorola DC800 audio gateway using these instructions
http://forums.fedoraforum.org/forum/showthread.php?t=190468

Trying to load "pactl load-module module-alsa-sink device=bluetooth" i get
information "Failure: Module initalization failed"


Version-Release number of selected component (if applicable):
bluez-utils-alsa-3.35-2.fc9.x86_64
bluez-utils-3.35-2.fc9.x86_64
bluez-utils-gstreamer-3.35-2.fc9.x86_64
bluez-libs-3.35-1.fc9.x86_64
bluez-utils-cups-3.35-2.fc9.x86_64
bluez-gnome-0.26-1.fc9.x86_64

How reproducible:
Try to connect.
  
Actual results:
Module loading failed.

Expected results:
Module should be loaded and i should be able to choose bluetooth hardware as
audio output.

Comment 1 Bastien Nocera 2008-07-14 09:44:47 UTC
There should probably be some error messages in /var/log/messages by hcid. What
are those?

Comment 2 Michal Klich 2008-07-15 09:24:39 UTC
Jul 15 11:17:34 localhost console-kit-daemon[1882]: WARNING: Couldn't read
/proc/2568/environ: Error reading file '/proc/2568/environ': No such process
Jul 15 11:21:50 localhost hcid[2210]: Audio API: received BT_GETCAPABILITIES_REQ
Jul 15 11:21:54 localhost hcid[2210]: link_key_request (sba=00:1E:37:BE:B9:68,
dba=00:07:A4:D6:5B:86)
Jul 15 11:21:54 localhost hcid[2210]: Audio API: sending BT_GETCAPABILITIES_RSP
Jul 15 11:21:54 localhost pulseaudio[2472]: alsa-util.c: Error opening PCM
device bluetooth: Input/output error
Jul 15 11:21:54 localhost pulseaudio[2472]: module.c: Failed to load  module
"module-alsa-sink" (argument: "device=bluetooth"): initialization failed.
Jul 15 11:21:54 localhost pulseaudio[2472]: module-hal-detect.c: Error getting
capability: org.freedesktop.Hal.NoSuchDevice: No device with id
/org/freedesktop/Hal/devices/bluetooth_acl_7a4d65b86



Last lines of /var/log/messages. Hope it helps

Comment 3 Bastien Nocera 2008-07-15 09:32:32 UTC
Does your audio headset appear as paired in bluetooth-properties? Is
bluetooth-applet running on your system? Did you see the pairing dialogue?

Seems to me that it didn't create an ALSA device at all, so running the pactl
bits wouldn't have done much.

Comment 4 Michal Klich 2008-07-15 21:54:13 UTC
Yes it does show in bonded devices. Bluetooth-applet is running on my system, i
have also tried to use kbluetooth.
I do not remember seeing pairing dialogue but if i can see it in Bonded devices
list does that means it is paired?

Comment 5 Dejan Kitic 2008-07-30 17:57:05 UTC
Created attachment 313019 [details]
content of .asoundrc

Comment 6 Dejan Kitic 2008-07-30 17:58:02 UTC
I m having same problem with my Dell Vostro 1500 and Nokia N70.Running 2.6.26
kernel with fully updated Fedora 9.

[dejan@snorky ~]$ rpm -qa | grep bluez
bluez-utils-alsa-3.32-1.fc9.i386
bluez-gnome-0.26-1.fc9.i386
bluez-utils-3.32-1.fc9.i386
bluez-utils-cups-3.32-1.fc9.i386
bluez-utils-gstreamer-3.32-1.fc9.i386
bluez-libs-3.32-1.fc9.i386

[dejan@snorky ~]$ rpm -qa | grep pulse
pulseaudio-core-libs-0.9.10-1.fc9.i386
pulseaudio-libs-glib2-0.9.10-1.fc9.i386
pulseaudio-0.9.10-1.fc9.i386
pulseaudio-module-gconf-0.9.10-1.fc9.i386
alsa-plugins-pulseaudio-1.0.16-4.fc9.i386
pulseaudio-esound-compat-0.9.10-1.fc9.i386
pulseaudio-module-bluetooth-0.9.10-1.fc9.i386
gstreamer-plugins-pulse-0.9.5-0.5.svn20070924.fc9.i386
pulseaudio-utils-0.9.10-1.fc9.i386
pulseaudio-module-x11-0.9.10-1.fc9.i386
pulseaudio-libs-zeroconf-0.9.10-1.fc9.i386
pulseaudio-libs-0.9.10-1.fc9.i386

Jul 30 19:41:50 snorky hcid[7229]: Default authorization agent (:1.101,
/org/bluez/auth) registered
Jul 30 19:43:06 snorky hcid[7229]: pin_code_request (sba=00:1D:D9:EC:35:8C,
dba=00:18:0F:9A:C4:3D)
Jul 30 19:43:10 snorky hcid[7229]: link_key_notify (sba=00:1D:D9:EC:35:8C,
dba=00:18:0F:9A:C4:3D)
Jul 30 19:44:16 snorky hcid[7229]: Audio API: received BT_GETCAPABILITIES_REQ
Jul 30 19:44:16 snorky hcid[7229]: No known services for device
Jul 30 19:44:16 snorky hcid[7229]: Audio API: sending BT_GETCAPABILITIES_RSP
Jul 30 19:44:16 snorky pulseaudio[5553]: alsa-util.c: Error opening PCM device
bluetooth: Input/output error
Jul 30 19:44:16 snorky pulseaudio[5553]: module.c: Failed to load  module
"module-alsa-sink" (argument: "device=bluetooth"): initialization failed.




Comment 7 Bug Zapper 2009-06-10 02:05:11 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2009-07-14 15:18:24 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.